2017-10-22 08:09 CEST

View Issue Details Jump to Notes ] Wiki ]
IDProjectCategoryView StatusLast Update
0002113Turrican2[All Projects] Generalpublic2009-07-15 23:40
ReporterPatrik Axelsson 
Assigned ToWeplProject InfoTurrican 2 (Factor 5/Rainbow Arts)
http://www.whdload.de/games/Turrican2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002113: When you press the second joystick/gamepad button, its like it the game think
DescriptionGameVersion: english,pal,1 disks
SlaveVersion: 1.6 (15.06.09)

When you press the second joystick/gamepad button, its like it the game think it is pressed twice quickly - if you duck and press the second button you are transformed into the ball and a special shot is fired at the same time.
This happens with both a Commodore CD32 joypad and an Amiga-adapted Megadrive joypad.
If I switch back to the 1.2 (26.2.1999) version of the slave, this problem disappears (unfortunately, that is the only older version I have to test with).
TagsNo tags attached.
MachineA2000
CPU68030
CPUSpeed25
ChipSetECS
GFXCardNone
ChipMem1 MB
FastMem6 MB
WorkbenchOS 3.1
KickROM37 - Kick 2.0
KickSoft40 - Kick 3.1
WHDLoad16.9
importedyes
Attached Files

-Relationships
related to 0001196closedWepl Turrican 2: Second Joypad Button don`t work, if i start the game from Floppy it 
+Relationships

-Notes

note ~0001302

Patrik Axelsson (reporter)

Last edited: 2009-07-06 23:12

Tried v1.5 of the slave - http://www.whdload.de/whdload/old-games/Turrican2-20090602.lha , it did not have this issue.

note ~0001305

Wepl (manager)

please try if the attached slave fixes the problem

note ~0001307

CHRKUM (reporter)

it works

note ~0001308

Patrik Axelsson (reporter)

It worked with both the CD³² and the modified MegaDrive joypad.

note ~0001309

Wepl (manager)

thanks for testing, will release it in the next days

note ~0001315

Wepl (manager)

new install has been released
+Notes

-Issue History
Date Modified Username Field Change
2009-07-06 22:01 administrator New Issue
2009-07-06 22:01 administrator Status new => assigned
2009-07-06 22:01 administrator Assigned To => Wepl
2009-07-06 22:01 administrator Machine => A2000
2009-07-06 22:01 administrator CPU => 68030
2009-07-06 22:01 administrator CPUSpeed => 25
2009-07-06 22:01 administrator ChipSet => ECS
2009-07-06 22:01 administrator GFXCard => None
2009-07-06 22:01 administrator ChipMem => 1 MB
2009-07-06 22:01 administrator FastMem => 6 MB
2009-07-06 22:01 administrator Workbench => OS 3.1
2009-07-06 22:01 administrator KickROM => 37 - Kick 2.0
2009-07-06 22:01 administrator KickSoft => 40 - Kick 3.1
2009-07-06 22:01 administrator WHDLoad => 16.9
2009-07-06 22:01 administrator imported => yes
2009-07-06 22:08 Wepl Relationship added related to 0001196
2009-07-06 23:11 Patrik Axelsson Note Added: 0001302
2009-07-06 23:12 Patrik Axelsson Note Edited: 0001302
2009-07-09 23:22 Wepl File Added: Turrican2.Slave
2009-07-09 23:23 Wepl Note Added: 0001305
2009-07-10 09:46 CHRKUM Note Added: 0001307
2009-07-10 17:04 Patrik Axelsson Note Added: 0001308
2009-07-10 18:22 Wepl Note Added: 0001309
2009-07-15 22:38 Wepl Assigned To Wepl =>
2009-07-15 22:38 Wepl Status assigned => resolved
2009-07-15 22:38 Wepl Resolution open => fixed
2009-07-15 22:38 Wepl Assigned To => Wepl
2009-07-15 23:40 Wepl Note Added: 0001315
2009-07-15 23:40 Wepl Status resolved => closed
+Issue History